| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Functions
OgreComPtr.h File Reference
`#include "OgreD3D11Prerequisites.h"`
`#include <winerror.h>`

## Classes
class | Ogre::ComPtr< T >
struct | Ogre::ComPtr< T >::SafeBoolHelper
class | Ogre::NoAddRefRelease< T >

## Namespaces
| Ogre

## Macros
#define | ASSUME_NOEXCEPT

## Functions
template<class T >
bool | Ogre::operator!= (const ComPtr< T > &a, const ComPtr< T > &b) ASSUME_NOEXCEPT
template<class T >
bool | Ogre::operator< (const ComPtr< T > &a, const ComPtr< T > &b) ASSUME_NOEXCEPT
template<class T >
bool | Ogre::operator<= (const ComPtr< T > &a, const ComPtr< T > &b) ASSUME_NOEXCEPT
template<class T >
bool | Ogre::operator== (const ComPtr< T > &a, const ComPtr< T > &b) ASSUME_NOEXCEPT
template<class T >
bool | Ogre::operator> (const ComPtr< T > &a, const ComPtr< T > &b) ASSUME_NOEXCEPT
template<class T >
bool | Ogre::operator>= (const ComPtr< T > &a, const ComPtr< T > &b) ASSUME_NOEXCEPT
template<class T >
void | Ogre::swap (ComPtr< T > &a, ComPtr< T > &b)

## Macro Definition Documentation

## ◆ ASSUME_NOEXCEPT

#define ASSUME_NOEXCEPT